// (c) 2000 Peter Putzer

#ifndef KSV_SPINBOX_H
#define KSV_SPINBOX_H

#include <tqspinbox.h>

#include <kcompletion.h>

class KSVSpinBox : public TQSpinBox, public KCompletionBase
{
  Q_OBJECT
  

public:
  KSVSpinBox (TQWidget* parent, const char* name = 0L);
  virtual ~KSVSpinBox ();
  
  virtual bool eventFilter (TQObject*, TQEvent*);
  virtual void setCompletedText (const TQString&);
  virtual void setCompletedItems (const TQStringList&);

protected:
  virtual TQString mapValueToText (int value);

private slots:
  void handleMatch (const TQString&);

private:
  bool mClearedSelection;
};

#endif // KSV_SPINBOX_H
